> ## Documentation Index
> Fetch the complete documentation index at: https://docs.signalite.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Request a legacy restricted HyperEVM HYPE gas top-up. Versioned alias for /api/faucet.



## OpenAPI

````yaml /mintlify/openapi/signalite.json post /api/v1/gas/top-up
openapi: 3.1.0
info:
  title: Signalite sHLP Partner API
  version: 1.0.0
  description: >-
    Read-only partner API for Signalite sHLP product state, history, positions,
    activity, and redemption lifecycle data.
servers:
  - url: https://portal.signalite.ai
security: []
tags:
  - name: Product
  - name: Account
  - name: Operations
  - name: Partner Actions
paths:
  /api/v1/gas/top-up:
    post:
      tags:
        - Operations
      summary: >-
        Request a legacy restricted HyperEVM HYPE gas top-up. Versioned alias
        for /api/faucet.
      operationId: requestGasTopUpV1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GasTopUpRequest'
            examples:
              default:
                value:
                  address: '0xB4a1168b8Ea05aF1536aC990F4940e50E0Be17f1'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GasTopUpResult'
        '400':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GasTopUpResult'
        '403':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GasTopUpResult'
        '429':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GasTopUpResult'
        '503':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GasTopUpResult'
components:
  schemas:
    GasTopUpRequest:
      type: object
      required:
        - address
      properties:
        address:
          type: string
          pattern: ^0x[a-fA-F0-9]{40}$
    GasTopUpResult:
      type: object
      required:
        - faucetEnabled
      properties:
        success:
          type: boolean
        message:
          type: string
        txHash:
          type: string
          pattern: ^0x[a-fA-F0-9]{64}$
        amount:
          type: string
          example: '0.01'
        balance:
          type: string
          example: '0.002'
        needsGas:
          type: boolean
        faucetEnabled:
          type: boolean
        error:
          type: string

````